/*
 * This file is part of the json-object-concat project (c) 2015 - 2020
 *
 * Copyright (c) Benjamin Bieler <benjaminbieler2014@gmail.com> (https://twitter.com/BenBieler)
 *
 * The Licence file can be found in the root of the directory
 */

'use strict';

//Imports:
var FileSystem = require('fs');

module.exports = function (path, NEW) {
    //Manage the new incomming data:
    var NewData = JSON.stringify(NEW);
    var result = NewData.substring(1, NewData.length - 1);

    FileSystem.readFile(path, function (err, data) {

        //Now concat the object to the old one
        if (data === undefined) {
            console.log('Your path is wrong:' + path);
        }
        data = data.toString();
        var lenght = data.length - 1;

        var blalenght = lenght - 2;

        var prior = data.substr(blalenght, data.indexOf(','));

        if (prior.indexOf(',') !== -1) {
            var joiner = ''
        } else {
            var joiner = ','
        }

        var output = [data.slice(0, lenght), result, data.slice(lenght)].join(joiner);

        if (err) {
            throw err
        } else {
            FileSystem.writeFile(path, output, function (err) {
                if (err) {
                    throw err
                }
            });
        }
    });
};